cURL
curl --request POST \
--url https://api.mudstack.com/accounts/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"emails": [
"<string>"
],
"email": "<string>",
"workspace_ids": [
"<string>"
],
"roles": [
"<string>"
]
}
'import requests
url = "https://api.mudstack.com/accounts/invites"
payload = {
"emails": ["<string>"],
"email": "<string>",
"workspace_ids": ["<string>"],
"roles": ["<string>"]
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
emails: ['<string>'],
email: '<string>',
workspace_ids: ['<string>'],
roles: ['<string>']
})
};
fetch('https://api.mudstack.com/accounts/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"account_id": "<string>",
"invited_by": "<string>",
"roles": [
"<string>"
],
"workspace_ids": [
"<string>"
],
"token": "<string>",
"email": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"accepted_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"invited_by_user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
},
"account": {
"id": "<string>",
"name": "<string>",
"account_tier_id": "<string>",
"thumbnail_file_id": "<string>",
"created_by_user_id": "<string>",
"defaultAvatar": 123,
"sequence": 123,
"subscription": {
"account_id": "<string>",
"stripe_customer_id": "<string>",
"status": "<string>",
"licenses": 123,
"contact": "<string>"
},
"members": {
"account_id": "<string>",
"user_id": "<string>",
"roles": [
"<string>"
],
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"tier": {
"id": "<string>",
"name": "<string>",
"maxStorage": 123,
"costPerLicense": 123,
"costPerExtraTB": 123
},
"type": {
"id": "<string>",
"name": "<string>",
"maxStorage": 123,
"maxAssets": 123,
"maxUsers": 123,
"costPerUser": 123,
"addStoragePrice": 123
},
"creator": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
},
"workspaces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"thumbnail_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultAvatar": 1,
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequence": "<string>",
"roles": {
"workspace_id": "<string>",
"user_id": "<string>",
"roles": [
"<string>"
],
"user": {
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}
},
"usage": {}
}
],
"isCreator": true,
"account_roles": [
"<string>"
]
}
}
]Invites
Create invites
POST
/
accounts
/
invites
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
200 - application/json
A list of created invites
Unique identifier for the invite.
Identifier for the associated account.
Identifier for the user who sent the invite.
List of roles assigned to the invitee.
List of workspace identifiers associated with the invite.
Token used for accepting the invite.
Email address of the invitee.
Expiration date and time of the invite.
Date and time when the invite was sent.
Date and time when the invite was accepted.
Date and time when the invite was rejected.
User who sent the invite.
Show child attributes
Show child attributes
Associated account.
Show child attributes
Show child attributes
Was this page helpful?
⌘I